.page-content {
    padding: 50px 100px;
}

.mdl-layout__header {
    background-color: rgba(253, 112, 101, 1);
}

.mdl-navigation {
    flex: 1;
}

.mdl-navigation__link:hover {
    background-color: rgb(250, 134, 125);
}

.mdl-textfield {
    display: block;
}

.mdl-dialog {
    width: 90%;
    max-width: 800px;
}

.icon {
    width: 24px;
}

.pointer {
    cursor: pointer;
}

.gap-8 {
    gap: 8px;
}

@media (max-width: 800px) {
    .page-content {
        padding: 100px 0;
    }

    h1,
    h2,
    h3,
    .mdl-textfield {
        margin-left: 32px;
    }
}

.space-between {
    display: flex;
    justify-content: space-between;
}

.align-center {
    display: flex;
    align-items: center;
}

#loadingBar {
    position: absolute;
    left: 0;
    right: 0;
    width: 100%;
    top: 0;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.full-width {
    width: 100%;
}

h1 {
    display: flex;
    align-items: center;
    gap: 8px;
}

h1 .material-symbols-outlined {
    color: white;
    background-color: #124658;
    padding: 16px;
    border-radius: 8px;
}

.mdl-button--accent.mdl-button--accent.mdl-button--raised,
.mdl-button--accent.mdl-button--accent.mdl-button--fab {
    color: rgb(255, 255, 255);
    background-color: rgba(253, 112, 101, 1);
}


.da-textarea {
    width: 100%;
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 8px;
    resize: none;
    border-radius: 8px;
}

.ob-task {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    min-height: 100px;
    background-color: rgba(0, 0, 0, 0.05);
    display: flex;
    align-items: center;
    padding-left: 16px;
    padding-right: 16px;
    gap: 32px;
    font-size: 20px;
    padding-top: 16px;
    padding-bottom: 16px;
}

.ob-message{
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    align-items: baseline;
    flex: 1;
}

.ob-task button {
    margin-left: auto;
    margin-right: 32px;
}

.mt-16 {
    margin-top: 16px;
}

.flex-align-center {
    display: flex;
    align-items: center;
}

.number {
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.05);
    width: 70px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    flex-grow: 0;
    flex-shrink: 0;
}

.progressBar {
    padding: 4px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    width: 80px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 10px;
}

.progressBarBackground {
    background-color: #1ea69a26;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
}

.last-update {
    position: absolute;
    bottom: 16px;
    left: 0;
    font-size: 12px;
    color: rgba(0, 0, 0, 0.5);
}

.mdl-card__title-text {
    display: flex;
    align-items: center;
}

.number-card {
    width: 40px;
    height: 40px;
    margin-right: 24px;
}

.ob-info {
    font-size: 14px;
    color: rgba(0, 0, 0, 0.6);
}

.flex-right {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.profile-picture {
    height: 40px;
    width: 40px;
    border-radius: 50%;
}


@media (max-width: 650px) {
    .hide-mobile {
        display: none;
    }

    .td-hide-desktop {
        text-align: left !important;
    }

    .td-mobile-height-unset {
        height: unset !important;
    }

    .mobile-flex-ycenter {
        display: flex;
        align-items: center;
    }

    h1 {
        font-size: 22px;
    }
}

@media (min-width: 650px) {
    .td-hide-desktop {
        display: none;
    }
}

input:disabled {
    background-color: #f0f0f0; /* Heller Grauton für den Hintergrund */
    color: #a0a0a0; /* Dunklerer Grauton für den Text */
    cursor: not-allowed; /* Cursor zeigt Nicht-Verfügbarkeit an */
    border: 1px solid #d0d0d0; /* Grauer Rahmen */
}

/* Stil für deaktivierte Buttons */
button:disabled {
    opacity: 0.5;
}
